Bug 1006890 - nouveau is not being loaded and it's making my notebook really hot
nouveau is not being loaded and it's making my notebook really hot
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
19
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-11 09:02 EDT by Marcel Ribeiro Dantas
Modified: 2015-02-17 12:08 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:08:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcel Ribeiro Dantas 2013-09-11 09:02:09 EDT
Description of problem:
My computer has been getting really hot (75-85 Celsius), and it's usually related to my graphics card, which are:

* Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller
* NVIDIA Corporation GF108M [GeForce GT 525M]

Sometimes, I check with lsmod and nouveau module is not up. I forced to load it with modprobe nouveau now through a rc.local file, and during boot (and later checking with dmesg), I see:

[   31.162194] VGA switcheroo: detected Optimus DSM method \_SB_.PCI0.PEG0.PEGP handle
[   31.162947] nouveau ![  DEVICE][0000:01:00.0] unknown Kepler chipset
[   31.163895] nouveau E[  DEVICE][0000:01:00.0] unknown chipset, 0xffffffff
[   31.164872] nouveau E[     DRM] failed to create 0x80000080, -22
[   31.166090] nouveau: probe of 0000:01:00.0 failed with error -22
[   31.228916] [drm] radeon kernel modesetting enabled.

PS: I'm loading (with modprobe) the radeon module too, since when I first tried it (a few weeks ago) I noticed both nouveau and radeon modules loaded at the same time made my notebook at least 10 to 20 celsius cooler.

Version-Release number of selected component (if applicable):


How reproducible:
It's a Dell XPS 15z notebook running Fedora 19 with the mentioned graphic cards. It's basically having this code at rc.local:

#!/usr/bin/bash
if [ "$(id -u)" == "0" ]; then
modprobe nouveau
modprobe radeon
fi

Actual results:
*Now* It's getting hot and these messages during boot

Expected results:
I expect to have it cooler, since it's getting too hot.

Additional info:
It's incredible how it even saved battery and kept it cooler, but now it came back again being hot and wasting my battery pretty quickly.
Comment 1 Marcel Ribeiro Dantas 2013-09-11 09:06:26 EDT
Oh, I forgot to mention that even though I can always see both graphic cards with `lspci`, `lshw -c display` sometimes (like now) show me only the Intel card.
Comment 2 Fedora End Of Life 2015-01-09 14:48:07 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-02-17 12:08:56 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.